.NET
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

hatch move lsp won't work in acad 2008

0 REPLIES 0
Reply
Message 1 of 1
Anonymous
232 Views, 0 Replies

hatch move lsp won't work in acad 2008

This little program is invaluable to me, maybe there is a replacement.



I've played with this this lsp but it wont work in acad 2008 even when
hatches are set to not be assosiative. thanks anyone.





;;; HM.lsp Change the HATCH BASE POINT of one or many hatches

;;;

(defun c:HM (/ oldos oldsn oldcmdecho i ent)

(setq oldos (getvar "osmode"))

(setq oldsn (getvar "snapbase"))

(setq oldcmdecho (getvar "cmdecho"))

(setvar "osmode" 47)

(princ "\nSelect point you wish Hatch(s) to start from...")

(command "._snapbase" pause)

(princ "\nSelect Hatch(s) to adjust snapbase")

(if (not (setq ss (ssget)))

(alert "\n No Entities selected..... Please try again.")

(progn

(setq i 0)

(while (setq ent (ssname ss i))

(command "._hatchedit" ent "" "" "" "")

(setq i (1+ i))

)

)

)

(setvar "snapbase" oldsn)

(setvar "osmode" oldos)

(setvar "cmdecho" oldcmdecho)

(princ)

)
0 REPLIES 0

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk DevCon in Munich May 28-29th


Autodesk Design & Make Report

”Boost